# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

**Types of changes**

- `Added` for new features.
- `Changed` for changes in existing functionality.
- `Deprecated` for soon-to-be removed features.
- `Removed` for now removed features.
- `Fixed` for any bug fixes.
- `Security` in case of vulnerabilities.

## [Unreleased]

## [1.0.3] - 2019-04-23

### Added

- Add contribution guidelines, code of conduct, issue and PR templates to comply with [recommended community standards](https://opensource.guide).
This is visible in the repo's [community profile](https://github.com/rodrigobdz/hide-file-extension-mac/community).

### Changed

- Update package dependencies.
- Improve readability of license with linebreaks.
- Exit CLI using `process.exit(statusCode)`.

## [1.0.2] - 2019-04-21

### Added

- Include [update-notifier](https://github.com/yeoman/update-notifier) to inform users about package updates.

## [1.0.1] - 2019-04-21

### Added

- Init changelog

### Changed

- Improve npm keywords
- Improve stdout and stderr logging
- Updated dependencies

## [1.0.0] - 2019-02-19

### Added

- Toggle file extension visibility from CLI for macOS

[unreleased]: https://github.com/rodrigobdz/hide-file-extension-mac/compare/v1.0.3...HEAD
[1.0.3]: https://github.com/rodrigobdz/hide-file-extension-mac/compare/v1.0.2...v1.0.3
[1.0.2]: https://github.com/rodrigobdz/hide-file-extension-mac/compare/v1.0.1...v1.0.2
[1.0.1]: https://github.com/rodrigobdz/hide-file-extension-mac/compare/v1.0.0...v1.0.1
[1.0.0]: https://github.com/rodrigobdz/hide-file-extension-mac/compare/d382a452d0be4c36f6a217e87cad4c652311d406...v1.0.0
